Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.component
Class ExternalComponentConfiguration

    java.lang.Object
      org.jivesoftware.openfire.component.ExternalComponentConfiguration

    public class ExternalComponentConfiguration

extends Object

Holds the configuration for external components that want to connect to this server. The configuration specifies if the external component is allowed to connect to the server as well as the shared secret between the server and the component. If no secret or configuration was defined then the default shared secret will be used.

Author:
  Gaston Dombiak

Nested Class Summary
`static class` | `ExternalComponentConfiguration.Permission`

Constructor Summary
`ExternalComponentConfiguration(String subdomain, boolean wildcard, ExternalComponentConfiguration.Permission permission, String secret)`

Method Summary
`ExternalComponentConfiguration.Permission` | `getPermission()`
`String` | `getSecret()`
`String` | `getSubdomain()`
`boolean` | `isWildcard()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalComponentConfiguration

    public ExternalComponentConfiguration(String subdomain,
                                          boolean wildcard,
                                          ExternalComponentConfiguration.Permission permission,
                                          String secret)

Method Detail

### getSubdomain

    public String getSubdomain()

### isWildcard

    public boolean isWildcard()

### getPermission

    public ExternalComponentConfiguration.Permission getPermission()

### getSecret

    public String getSecret()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.